#ifndef DEFINES_H
#define DEFINES_H

#define LAYERS_NUMBER 3

// Ports tcp to comunicate with Pure Data
#define PDPORT 9198
#define SOCKET 9197 // "/tmp/socket"

#define VERSION "Libre Media Server Audio 0.1.0"
#define COPYRIGHT "(C) 2014 Santi Norena libremediaserver@gmail.com"
#define LICENSE "GPL 3 License. See LICENSE.txt and credits.txt for details"

#define DEFAULT_FILE "lms-audio.xlm"

// struct where save the DMX settings for each layer
struct dmxSetting {
    int address;
    uint universe;
    bool updated;
    int layer;
};

// Media Information for MELIn packages. v1.0
struct MediaFile {
    quint8 Number; // 0-based contiguous index of the media.
    QString MediaName;// Media name.
    quint32 MediaLength;// Media length (in frames).
};

// Media Library for ELin packages v1.0
struct MediaFolder {
    quint8 m_Id; // Library id.
    QString m_Name;// Library name.
    quint8 m_ElementCount;// Number of elements in the library.
    QList<MediaFile> m_MediaInformation; // Pointer to the Medias Information List of this Library
};

#endif // DEFINES_H

